### Hierarchy

- Stats

## Index

### Properties

- atime
- atimeMs
- birthtime
- birthtimeMs
- blksize
- blocks
- ctime
- ctimeMs
- dev
- gid
- ino
- mode
- mtime
- mtimeMs
- nlink
- rdev
- size
- uid

### Methods

- isBlockDevice
- isCharacterDevice
- isDirectory
- isFIFO
- isFile
- isSocket
- isSymbolicLink

## Properties

### atime

atime: Date

- Defined in node_modules/@types/node/fs.d.ts:34

### atimeMs

atimeMs: number

- Defined in node_modules/@types/node/fs.d.ts:30

### birthtime

birthtime: Date

- Defined in node_modules/@types/node/fs.d.ts:37

### birthtimeMs

birthtimeMs: number

- Defined in node_modules/@types/node/fs.d.ts:33

### blksize

blksize: number

- Defined in node_modules/@types/node/fs.d.ts:28

### blocks

blocks: number

- Defined in node_modules/@types/node/fs.d.ts:29

### ctime

ctime: Date

- Defined in node_modules/@types/node/fs.d.ts:36

### ctimeMs

ctimeMs: number

- Defined in node_modules/@types/node/fs.d.ts:32

### dev

dev: number

- Defined in node_modules/@types/node/fs.d.ts:20

### gid

gid: number

- Defined in node_modules/@types/node/fs.d.ts:25

### ino

ino: number

- Defined in node_modules/@types/node/fs.d.ts:21

### mode

mode: number

- Defined in node_modules/@types/node/fs.d.ts:22

### mtime

mtime: Date

- Defined in node_modules/@types/node/fs.d.ts:35

### mtimeMs

mtimeMs: number

- Defined in node_modules/@types/node/fs.d.ts:31

### nlink

nlink: number

- Defined in node_modules/@types/node/fs.d.ts:23

### rdev

rdev: number

- Defined in node_modules/@types/node/fs.d.ts:26

### size

size: number

- Defined in node_modules/@types/node/fs.d.ts:27

### uid

uid: number

- Defined in node_modules/@types/node/fs.d.ts:24

## Methods

### isBlockDevice

- isBlockDevice(): boolean

- - Defined in node_modules/@types/node/fs.d.ts:15

  #### Returns boolean

### isCharacterDevice

- isCharacterDevice(): boolean

- - Defined in node_modules/@types/node/fs.d.ts:16

  #### Returns boolean

### isDirectory

- isDirectory(): boolean

- - Defined in node_modules/@types/node/fs.d.ts:14

  #### Returns boolean

### isFIFO

- isFIFO(): boolean

- - Defined in node_modules/@types/node/fs.d.ts:18

  #### Returns boolean

### isFile

- isFile(): boolean

- - Defined in node_modules/@types/node/fs.d.ts:13

  #### Returns boolean

### isSocket

- isSocket(): boolean

- - Defined in node_modules/@types/node/fs.d.ts:19

  #### Returns boolean

### isSymbolicLink

- isSymbolicLink(): boolean

- - Defined in node_modules/@types/node/fs.d.ts:17

  #### Returns boolean

Generated using TypeDoc